@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300&display=swap");

html {
    --green: #113a1d;
    --yellow: #ffc75a;
    --lessgreen: #b4ddd3;
    --lessblue: #c9e6ff;
    --newblue: #5d8dbf;
    --purplee: #444766;
    --darkpurplee: #282a48;
    --lessgrey: #f1f1f1;
    --lightgrey: #f5f8fa;
    --darkgreen: #1c3e27;
    --darkergreen: #143820;
}

body {
    font-size: 12pt;
    font-family: "Poppins", sans-serif;
    font-weight: 300;
    /* background-image: url("/img/26123.png"); */
    background-color: #f4f6f9;
    background-attachment: fixed;
    background-size: 15%;
    background-repeat: repeat;
}

.text-dark-green {
    color: var(--darkgreen) !important;
}

/* LOGIN */
.login-content {
    height: 100vh;
}

.login-box a:hover {
    color: white;
}

.login-box .card {
    border-radius: 20px;
    background: #f4f6f9;
    box-shadow: 5px 5px 10px #cfd1d4,
        -5px -5px 10px #ffffff;
}

.login-box label {
    display: unset;
}

.login-box input {
    border-radius: 0;
    border-top: 0;
    border-left: 0;
    border-right: 0;
    border-bottom: 1px solid var(--darkergreen);
    background-color: transparent;
}

.login-box .logo-wrap {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    flex-direction: column;
}

.logo-wrap h3 {
    font-size: 1.4rem;
    font-weight: bold;
    margin: 10px 20px;
}

.login-box img {
    width: 130px;
}

.neumorphism {
    display: flex;
    justify-content: center;
    font-size: 1rem;
    color: #366e47;
    text-align: center;
    padding: 10px 0px;
    height: auto;
    border-radius: 20px;
    background: #ffffff;
    margin: 5px 10px;
    box-shadow: 22px 22px 44px #cfd1d4,
        -22px -22px 44px #ffffff;
}

.neumorphism .inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;

}

.neumorphism h3 {
    font-size: 2.2rem;
    font-weight: 700;
}

.dashboard-info h5 {
    background-color: #366e47;
    color: white;
    padding: 5px 10px;
    border-radius: 20px;
    text-align: center;
}

.dashboard-info ul li {
    border-radius: 12px !important;
    box-shadow: 5px 5px 10px #dcdde0,
        -5px -5px 10px #ffffff;
}

/* CUSTOM */
.layout-navbar-fixed .wrapper .sidebar-dark-primary .brand-link:not([class*="navbar"]) {
    background-color: white;
    color: rgb(27, 27, 27);
    font-weight: bold;
}

[class*="sidebar-dark"] .btn-sidebar,
[class*="sidebar-dark"] .form-control-sidebar {
    background-color: var(--lightgrey);
    color: black;
}

[class*="sidebar-dark-"] .nav-treeview>.nav-item>.nav-link {
    color: #dddddd;
    border-bottom: 1px solid #65786b;
    border-radius: 0;
}

.nav-sidebar .nav-item>.nav-link {
    margin-bottom: 0;
}

[class*="sidebar-dark-"] .nav-treeview>.nav-item>.nav-link.active,
[class*="sidebar-dark-"] .nav-treeview>.nav-item>.nav-link.active:focus,
[class*="sidebar-dark-"] .nav-treeview>.nav-item>.nav-link.active:hover {
    background: #e3e3e3 !important;
    color: #000000;
    border-left: none;
    font-weight: 300;
}

.sidebar-dark-primary {
    background-color: var(--darkgreen);
}

.content-wrapper {
    background-color: transparent;
    height: auto !important;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
    padding-top: 60px !important;
}

.btn {
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
}

.card-header .btn {
    box-shadow: none;
}

.btn-primary {
    color: #fff !important;
    background-color: #2a994e !important;
    border-color: #3a6849;
}

.btn-primary:hover {
    background-color: #22803f !important;
    border-color: #3a6849;
}

.bg-smabas {
    background-color: #2d6a41 !important;
    color: white !important;
}

.bg-smabas:hover {
    background-color: #418658 !important;
}

.bg-smabas-gr {
    background: linear-gradient(135deg, #42aa65 0%, #1b6834 100%);
    color: white;
}

.bg-smabas-gr:hover {
    background: linear-gradient(135deg, #338b51 0%, #115526 100%);
}

.info-box {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px,
        rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}

.card-primary:not(.card-outline)>.card-header {
    background-color: #2d6a41 !important;
}

.card-header {
    color: #fff;
    background-color: #2d6a41;
}

.card-header button {
    padding: 0;
    color: white;
    margin-left: 10px;
}

.card-table {
    -webkit-flex: 1 1 auto;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    min-height: 1px;
    padding: 0;
}

.card-body-no-padding {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    min-height: 1px;
    padding: 0;
}

.th-del {
    width: 20px;
}

.th-no {
    width: 50px;
}

.red {
    color: rgb(183, 2, 2);
}

.table-sm td {
    padding: 0 0.3rem;
}

table.dataTable {
    margin-top: 0px !important;
    margin-bottom: 0px !important;
}

.third-menu {
    list-style: none;
    padding-left: 20px;
}

.table-avatar {
    border-radius: 50%;
    display: inline;
    width: 2.5rem;
    height: 2.5rem;
}

/* END CUSTOM */

.container-fluid a {
    text-decoration: none;
    color: inherit;
}

.table tbody tr:hover {
    background-color: #d0e2d5 !important;
}

.table-sm td {
    padding: 0.1rem 0.5rem;
}

table.dataTable {
    margin-top: 0px !important;
    margin-bottom: 0px !important;
}

.table-responsive thead th {
    white-space: nowrap;
}

.mylabel {
    border-top-left-radius: 7px;
    border-top-right-radius: 7px;
    font-size: 11pt;
    color: white;
    background-color: #3a6849;
    padding: 0px 5px;
    font-weight: 100 !important;
    font-style: italic;
    margin-top: 5px;
    margin-left: 5px;
    margin-bottom: 0;
    z-index: 1000;
}

label {
    display: flex;
    align-self: center;
    margin-top: 10px;
    margin-bottom: 0;
}

table input {
    width: 100%;
}

/* .card-body {
  padding: 0.25rem;
} */

.table thead th {
    vertical-align: bottom;
    border-bottom: 0;
}

table tr td:last-child {
    white-space: nowrap;
}

.brand-link {
    font-size: 1rem;
}

.fa-trash {
    color: rgb(197, 36, 36);
}

.hasil,
.hasil-item {
    position: absolute;
    z-index: 100;
    background-color: white;
    border: 1px solid #b3b3b3;
    width: auto;
}

.hasil li:hover,
.hasil-item li:hover {
    cursor: pointer;
    background-color: rgb(214, 214, 214);
}

.quo-title {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 2rem;
    text-decoration: underline;
    font-weight: bold;
    font-style: italic;
}

.date {
    font-size: 100%;
    font-weight: 500;
}

.invoice-info {
    margin-top: 20px;
}

.dropdown-menu a {
    cursor: pointer;
}

.dropdown-menu {
    padding: 0 10px;
}

.logo-surat {
    position: absolute;
    left: 0;
    top: 0;
    margin-top: 10px;
    width: 12%;
    margin-left: 2%;
}

.alert-login {
    display: none;
}

table {
    width: 100%;
}

/* EPERPUS */
.select-dropdown {
    position: static;
    display: block;
}

.select-dropdown .select-dropdown--above {
    margin-top: 336px;
}

#book-title {
    font-weight: bold;
    text-transform: uppercase;
    font-size: larger;
    text-align: center;
}

#book-detail,
#data-pinjam {
    display: none;
    transition: all 2s linear;
}

#data-pinjam {
    transition: all 2s linear;
}

.form-check-label {
    font-style: italic;
    font-size: 11pt;
}

/* PROFILE */

.avatar {
    height: 300px;
    width: 300px;
    border: 2px solid rgb(169, 169, 169);
}

.avatar img {
    padding: 20px;
    width: 100%;
    height: 100%;
}

/* END EPERPUS */

.progress {
    display: -ms-flexbox;
    display: flex;
    height: 1rem;
    overflow: hidden;
    font-size: 0.75rem;
    background-color: white;
    border-radius: 0.25rem;
}

/* FOOTER */

footer {
    position: relative;
}

.isisurat {
    font-family: Arial, Helvetica, sans-serif !important;
}

.isisurat table {
    border: none !important;
}

.isisurat table td:first-child {
    width: 150px;
}

.image-preview {
    width: 100%;
}

.user-panel {
    border-radius: 5px;
    font-size: 11pt;
    background: rgb(238, 238, 238);
    margin-top: 5px;
}

.user-panel .d-block {
    color: rgb(44, 44, 44) !important;
    white-space: pre-wrap;
}

.hide {
    display: none;
}

.ebook-digital {
    display: none;
}


.recent-news .card-body {
    height: 600px;
    overflow-y: scroll;
}

.recent-news img {
    width: 100%;
    height: auto;
}

.recent-news ul {
    list-style-type: none;
    /* Remove bullets */
    padding: 0;
    /* Remove padding */
    margin: 0;
    /* Remove margins */
}

.agenda {
    font-size: 10pt;
}

.list-group-item {
    box-shadow: 0 0 0.875rem 0 rgb(52 58 64 / 5%);
}

.agenda .list-group-item {
    margin-bottom: 5px;
    display: flex;
    justify-content: center;
    padding: 10px;
}

.agenda .list-group-item .waktu {
    float: left;
    width: 150px;
    padding: 5px;
    padding-right: 10px;
    border-radius: 10px;
    text-align: right;
}

.agenda .list-group-item .waktu .tanggal {
    display: block;
}

.agenda .list-group-item .agenda {
    float: right;
    width: 100%;
    padding: 5px;
    padding-left: 10px;
    border-left: 2px solid rgb(184, 184, 184);
}

.agenda .judul {
    font-weight: bold;
}

.judul-info {
    border-bottom: 2px solid rgb(184, 184, 184);
    display: block;
    font-weight: bold;
}

.info span,
.agenda span {
    float: right;
    cursor: pointer;
}


.info {
    display: block;
    font-size: 10pt;
}

/* SUMMERNOTE */
.note-btn-group .note-btn {
    color: black;
}

.scene_element {
    animation-duration: 0.25s;
    transition-timing-function: ease-in;
    animation-fill-mode: both;
    animation-name: fadeIn;
}

.list-group-item.active {
    z-index: 2;
    color: #fff;
    background-color: rgb(68, 115, 83);
    border-color: var(--darkergreen);
}

.update {
    border-radius: 20px;
    font-weight: bold;
    background: var(--yellow);
}

.img-circle {
    border-radius: 50%;
    width: 100px;
    height: 100px;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

/* LOADER */
.lds-dual-ring {
    display: inline-block;
    width: 80px;
    height: 80px;
}

.lds-dual-ring:after {
    content: " ";
    display: block;
    width: 64px;
    height: 64px;
    margin: 8px;
    border-radius: 50%;
    border: 6px solid #fff;
    border-color: rgb(19, 19, 19) transparent rgb(32, 32, 32) transparent;
    animation: lds-dual-ring 1.2s linear infinite;
}

@keyframes lds-dual-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* END LOADER */

@media only screen and (max-width: 600px) {
    .text-sm {
        font-size: 1rem !important;
    }

    .preloader {
        display: none;
    }
}